"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parser_1 = require("@babel/parser");
const electronStubs = parser_1.parseExpression(`{
    remote: {
      process: {
        env: {},
      },
      getCurrentWindow: function() {
        return {
          isFocused: function() {return true;},
          on: function() {return true;}
        };
      },
      app: {
        getVersion: function() {return global.__VERSION__ || '1';},
        getName: function() {return '';},
        getAppPath: function() {return process.cwd();}
      },
      shell: {
        openExternal: function() {}
      },
      Menu: {
        buildFromTemplate: function() {
          return {items: []}
        },
        setApplicationMenu: function() {}
      }
    },
    ipcRenderer: {
      on: function() {return true;}
    },
  }
  `);
module.exports = () => ({
    name: 'replace-electron-requires-with-stubs',
    visitor: {
        CallExpression(path) {
            const node = path.node;
            if (node.type === 'CallExpression' &&
                node.callee.type === 'Identifier' &&
                node.callee.name === 'require' &&
                node.arguments.length > 0 &&
                node.arguments[0].type === 'StringLiteral' &&
                node.arguments[0].value === 'electron') {
                path.replaceWith(electronStubs);
            }
        },
    },
});
//# sourceMappingURL=electron-stubs.js.map