"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const isFBFile = (filePath) => filePath.includes(`${path_1.default.sep}fb${path_1.default.sep}`);
const requireFromFolder = (folder, path) => new RegExp(folder + '/[\\w.-_]+(.js)?$', 'g').test(path);
module.exports = () => ({
    name: 'replace-fb-stubs',
    visitor: {
        CallExpression(path, state) {
            if (path.node.type === 'CallExpression' &&
                path.node.callee.type === 'Identifier' &&
                path.node.callee.name === 'require' &&
                path.node.arguments.length > 0 &&
                path.node.arguments[0].type === 'StringLiteral') {
                if (requireFromFolder('fb', path.node.arguments[0].value) &&
                    !isFBFile(state.file.opts.filename)) {
                    throw new Error('For files which are not under fb/ do not require directly from fb/, but rather from fb-stubs/ to not break flow-typing and make sure stubs are up-to-date.');
                }
                else if (requireFromFolder('fb-stubs', path.node.arguments[0].value)) {
                    path.node.arguments[0].value = path.node.arguments[0].value.replace('/fb-stubs/', '/fb/');
                }
            }
        },
    },
});
//# sourceMappingURL=fb-stubs.js.map