"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const transform_1 = __importDefault(require("./transform"));
const get_cache_key_1 = __importDefault(require("./get-cache-key"));
const flipper_env_1 = __importDefault(require("./flipper-env"));
const presets = [require('@babel/preset-react')];
const plugins = [
    require('./electron-requires'),
    require('./import-react'),
    require('./app-flipper-requires'),
];
if (flipper_env_1.default.FLIPPER_HEADLESS) {
    plugins.unshift(require('./electron-stubs'));
}
if (flipper_env_1.default.FLIPPER_FB) {
    plugins.unshift(require('./fb-stubs'));
}
module.exports = {
    transform,
    getCacheKey: get_cache_key_1.default,
};
function transform({ filename, options, src, }) {
    return transform_1.default({ filename, options, src, presets, plugins });
}
//# sourceMappingURL=transform-app.js.map